[ 
https://issues.apache.org/jira/browse/NIFI-4960?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Mark Payne updated NIFI-4960:
-----------------------------
    Summary: Having multiple versions of same component doesn't work as 
expected when using Flow Registry  (was: Multiple Custom Processors don't work 
as espected.)

> Having multiple versions of same component doesn't work as expected when 
> using Flow Registry
> --------------------------------------------------------------------------------------------
>
>                 Key: NIFI-4960
>                 URL: https://issues.apache.org/jira/browse/NIFI-4960
>             Project: Apache NiFi
>          Issue Type: Bug
>          Components: Configuration
>    Affects Versions: 1.5.0
>            Reporter: Jorge Machado
>            Priority: Major
>             Fix For: 1.6.0
>
>
> I we setting up the Nifi registry are we are getting this error when trying 
> to import a flow from Registry into Nifi: 
> |Multiple versions of …. exist. No exact match for default:...:unversioned.|
> To note that we have multiple versions of the same processor in the lib 
> folder (which works for Templates)
> Our Manifest inside the nar file looks like this: 
> {color:#333333}Manifest-Version: 1.0{color}
> {color:#333333}Implementation-Title: componentName{color}
> {color:#333333}Implementation-Version: 1.5.9.rc.1{color}
> {color:#333333}Nar-Dependency-Group: org.apache.nifi{color}
> {color:#333333}Nar-Version: 1.5.9.rc.1{color}
> {color:#333333}Nar-Dependency-Version: 1.5.0{color}
> {color:#333333}Nar-Id: {color}componentName
> {color:#333333}Nar-Group: com.{color}componentName
> {color:#333333}Nar-Dependency-Id: nifi-standard-services-api-nar{color}
> {color:#333333} {color}
> {color:#333333}I see this on the Nifi Logs: {color}
> {color:#333333}2018-03-12 08:33:51,304 INFO [NiFi Web Server-94] 
> o.a.n.w.a.c.IllegalStateExceptionMapper java.lang.IllegalStateException: 
> Multiple versions of com.gfk.nifi.processor.customlogging.CustomLogger exist. 
> No exact match for default:ipmvp-nifi-customlogattribute:unversioned.. 
> Returning Conflict response.{color}
>  
>  
> {color:#333333}After some debugging I found the bug on BundleUtils and I will 
> patch it. {color}
> {code:java}
> public static BundleDTO createBundleDto(final 
> org.apache.nifi.registry.flow.Bundle bundle) {
>     final BundleDTO dto = new BundleDTO();
>     dto.setArtifact(bundle.getArtifact());
>     dto.setGroup(dto.getGroup()); <-- Should be bundle right ? 
>     dto.setVersion(dto.getVersion()); <-- should be bundle right ?
>     return dto;
> }
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to